// :: Part of RegionCreator
// Author: Sunshine

#pragma once

#include <windows.h>

enum {
	IMAGE_BMP
};


class CRegion
{
private:
	HBITMAP		hBitmap;
	BYTE*		buffer;				// buffer of 24bit image
	LONG		height, width;
	LPSTR		filename;

public:
	LPRGNDATA	pData;
	HRGN		hRegion;

	CRegion(HBITMAP bitmap);
	~CRegion();

	// ** convert image to a 24bit image for parsing
	bool Convert();

	// ** scan the image and create a region
	bool Scan(BYTE red, BYTE green, BYTE blue);

	// ** save region to disk
	bool Save(LPSTR filename);

	// ** get/set methods for private variables
	LONG getWidth() { return width; }
	LONG getHeight() { return height; }

};